<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.modules.kangzai.dao.BusRiverStructuresPointDao">

    <!--分页查询-->
    <select id="listPage" resultType="com.zcloud.modules.kangzai.entity.BusRiverStructuresPointEntity">
        SELECT
        t.*
        FROM bus_river_structures_point t
        <where>
            <if test="params.riverStructuresPointId != null and params.riverStructuresPointId != ''">
                AND t.river_structures_point_id = #{params.riverStructuresPointId}
            </if>
            <if test="params.riverStructuresId != null and params.riverStructuresId != ''">
                AND t.river_structures_id = #{params.riverStructuresId}
            </if>
            <if test="params.longitude != null and params.longitude != ''">
                AND t.longitude = #{params.longitude}
            </if>
            <if test="params.latitude != null and params.latitude != ''">
                AND t.latitude = #{params.latitude}
            </if>
        </where>
        ORDER BY t.create_time DESC
    </select>
</mapper>
